package imt.concours;

import java.util.LinkedList;
import java.util.List;
import java.util.Queue;
import java.util.stream.Stream;

import imt.personnes.Chef;

public class FileConcours {
	private final Queue<Concours> concours;

	public FileConcours(Concours... concours) {
		this.concours = new LinkedList<Concours>(Stream.of(concours).toList());
	}

	public List<Concours> concoursAuquelParticipe(Chef chef) {
		return concours.stream()
				.filter(concoursLoop -> concoursLoop.getPropositions().stream().map(prop -> prop.getChef()).toList()
						.contains(chef))
				.toList();
	}
}
