package imt.ingredients;

import static org.assertj.core.api.Assertions.assertThat;

import org.junit.jupiter.api.Test;

public class IngredientTest {
	public static final Ingredient STEAK = new ViandePoisson(1, "steak", 1, 10, true, null, 0);
	public static final Ingredient OIGNON = new Legume(2, "oignon", 1, 20, true, null, 0);
	public static final Ingredient AUTRE = new Autre(3, "autre", 1, 30, false, null);

	@Test
	void epice_apportent_zero_calories() {
		Ingredient epice = new Epice(1, "poivre", 1, 10, false, null);

		assertThat(epice.getCalories()).isEqualTo(0);
	}

	@Test
	void le_reste_apporte_des_calories() {

		assertThat(STEAK.getCalories()).isEqualTo(10);
		assertThat(OIGNON.getCalories()).isEqualTo(20);
		assertThat(AUTRE.getCalories()).isEqualTo(30);
	}
}
